Package nl.tue.id.oocsi.client.behavior

# Class OOCSISystemCommunicator<T>

java.lang.Object
nl.tue.id.oocsi.client.behavior.OOCSISystemCommunicator<T>

Direct Known Subclasses:
  `OOCSIAwareness`, `OOCSIConsensus`, `OOCSIGather`, `OOCSISpatial`, `OOCSISpread`, `OOCSISync`, `OOCSIVariable`, `OOCSIVariable`, `OOCSIVariable`

    public class OOCSISystemCommunicator<T>
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `class` | `OOCSISystemCommunicator.SystemFilter<K>` |

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `channelName` |
  `protected OOCSIClient` | `client` |
  `protected static java.lang.String` | `HANDLE` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `OOCSISystemCommunicator​(OOCSIClient client, java.lang.String channelName)` |
  `OOCSISystemCommunicator​(OOCSIClient client, java.lang.String channelName, Handler handler)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addFilter​(java.lang.String dataKey, OOCSISystemCommunicator.SystemFilter<?> filter)` |
  `protected java.lang.String` | `getHandle()` | returns the unique handle for this object
  `protected OOCSIMessage` | `message()` |
  `protected void` | `message​(java.lang.String command)` |
  `protected void` | `message​(java.lang.String command, T data)` |
  `protected void` | `subscribe​(EventHandler handler)` | subscribe and inject filter checks
  `protected void` | `triggerHandler()` |
  `void` | `updateFilter​(java.lang.String dataKey, java.lang.Object value)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HANDLE

    protected static final java.lang.String HANDLE
    See Also:
      Constant Field Values

  - ### client

    protected OOCSIClient client

  - ### channelName

    protected java.lang.String channelName

- ## Constructor Details

  - ### OOCSISystemCommunicator

    public OOCSISystemCommunicator​(OOCSIClient client, java.lang.String channelName)

  - ### OOCSISystemCommunicator

    public OOCSISystemCommunicator​(OOCSIClient client, java.lang.String channelName, Handler handler)

- ## Method Details

  - ### subscribe

    protected void subscribe​(EventHandler handler)
    subscribe and inject filter checks
    Parameters:
      `handler` -

  - ### message

    protected void message​(java.lang.String command, T data)

  - ### message

    protected void message​(java.lang.String command)

  - ### message

    protected OOCSIMessage message()

  - ### addFilter

    public void addFilter​(java.lang.String dataKey, OOCSISystemCommunicator.SystemFilter<?> filter)

  - ### updateFilter

    public void updateFilter​(java.lang.String dataKey, java.lang.Object value)

  - ### getHandle

    protected java.lang.String getHandle()
    returns the unique handle for this object
    Returns:

  - ### triggerHandler

    protected void triggerHandler()